# Overview

Piwik is a free and open source web analytics application written by a team of
international developers that runs on a PHP/MySQL webserver. Piwik is used by
over 1,000,000 websites, 1.2% of all websites, and has been translated to
more than 45 languages. New versions of Piwik are regularly released every
few weeks. (from [Wikipedia][0])

# Usage

This charm is available in the Juju Charm Store along with hundreds of others.
To deploy this charm you will need: [a cloud environment][1], a working
[Juju][2] installation, and an already bootstrapped environment.

Once bootstrapped, deploy the [MySQL][3] and Piwik charm:

    juju deploy mysql
    juju deploy piwik

Add a relation between the two. Note: To avoid recieving "ambiguous relation"
error, specify the "db" relation:

    juju add-relation mysql piwik:db

Expose the Piwik service

    juju expose piwik

## Known Limitations and Issues

## Installation

Piwik is not able to do an automated installation yet (see
[this piwik ticked][4]). Because of that, when first accessing the service
after adding the relation between it and mysql, you will still have to use the
assisted installation wizard. But the database connection information will be
already filled and insensitive for changes.

# Contact Information

## Piwik Project Information

- [Piwik home page](http://piwik.org)
- [Piwik bug tracker](http://dev.piwik.org/trac)

[0]: http://en.wikipedia.org/wiki/Piwik
[1]: https://juju.ubuntu.com/docs/getting-started.html
[2]: https://juju.ubuntu.com/docs/getting-started.html#installation
[3]: http://jujucharms.com/charms/precise/mysql
[4]: http://dev.piwik.org/trac/ticket/781
